#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define	pdir	Net
%define	pnam	DNS-SEC
Summary:	Net::DNS::SEC - DNSSEC extensions to Net::DNS
Summary(pl.UTF-8):	Net::DNS::SEC - rozszerzenia DNSSEC do Net::DNS
Name:		perl-Net-DNS-SEC
Version:	1.24
Release:	1
License:	MIT
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	63879e0f104320f63633be7d4b02b851
URL:		https://metacpan.org/dist/Net-DNS-SEC
BuildRequires:	openssl-devel
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.48
BuildRequires:	perl-devel >= 1:5.8.9
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(DynaLoader) >= 1.04
BuildRequires:	perl(Exporter) >= 5.56
BuildRequires:	perl(File::Find) >= 1.13
BuildRequires:	perl(File::Spec) >= 3.29
BuildRequires:	perl(IO::File) >= 1.14
BuildRequires:	perl-Carp >= 1.10
BuildRequires:	perl-Digest-SHA >= 5.23
BuildRequires:	perl-MIME-Base64 >= 3.07
BuildRequires:	perl-Net-DNS >= 1.08
BuildRequires:	perl-Test-Simple >= 0.80
%endif
Requires:	perl-Digest-SHA >= 5.23
Requires:	perl-MIME-Base64 >= 3.07
Requires:	perl-Net-DNS >= 1.08
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::DNS::SEC suite provides the resource records that are needed
for DNSSEC (RFC 4033, 4034 and 4035). In addition the DLV RR, a clone
of the DS RR is supported (RFC 4431)

It also provides support for SIG0. That later is useful for dynamic
updates using key-pairs.

RSA and DSA crypto routines are supported.

Net::DNS contains all needed hooks to load the Net::DNS::SEC
extensions when they are available.

%description -l pl.UTF-8
Moduły Net::DNS::SEC udostępniają rekordy porzebne do obsługi DNSSEC
(RFC 4033, 4034 oraz 4035). Poza DLV RR obsługiwany jest też klon DS
RR (RFC 4431).

Pakiet udostępnia także obsługę SIG0. Jest to przydatne do
dynamicznych uaktualnień przy użyciu par kluczy.

Procedury kryptograficzne RSA i DSA są także obsługiwane.

Moduł Net::DNS zawiera wszystkie uchwyty konieczne do wczytywania
rozszerzeń Net::DNS::SEC w razie potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%dir %{perl_vendorarch}/auto/Net/DNS
%dir %{perl_vendorarch}/auto/Net/DNS/SEC
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/SEC/SEC.so
%{perl_vendorarch}/Net/DNS/SEC.pm
%{perl_vendorarch}/Net/DNS/SEC
%{_mandir}/man3/Net::DNS::SEC*.3pm*
%changelog
* Mon Jun 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-DNS-SEC.git;a=log;h=master

* Mon Jun 10 2024 Jakub Bogusz <qboosh@pld-linux.org> a895a6d
- updated to 1.24

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> f36540b
- perl 5.38.0 rebuild

* Sat Feb 04 2023 Jakub Bogusz <qboosh@pld-linux.org> ed52387
- updated to 1.20

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 319b283
- perl 5.36.0 rebuild

* Fri Jun 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 1489cb7
- updated to 1.19

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 84a7789
- rebuild with perl 5.34.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 8fd3ec6
- rebuild with openssl 3.0.0

* Sat Jul 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 7056b4a
- updated to 1.18; since 1.14 builds with libcrypto instead of using Crypt::OpenSSL::...

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 731ea3e
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3e63c6c
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> cc4a6ef
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9209f9b
- up to 1.14; no longer noarch

* Fri Apr 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 3a45a70
- updated dependencies

* Tue Apr 26 2016 Adam Osuchowski <adwol@pld-linux.org> 5b691e1
- up to 1.02

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 18e76b1
- restored pre-rev. 1.9 changelog

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 71ad850
- pl
- versioned install time dependencies (only unversioned are autodetected)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> cc77263
- up to 0.16

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 338bfd7
- added missing %dir in %files section
- release 2

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> e72e149
- commit log fixed

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 7f605ef
- tests switched off by default because they keep trying to access /etc/resolv.conf

